/* eslint "no-console": "off" */

import 'source-map-support/register';
import { createResponse } from '@planet9/p9lib';
import debugModule from 'debug';

const debug = debugModule('handler');

export const <%- handlerName %> = (event, context, callback) => {
  debug('You can access some configuration like', process.env.DB_CONN);

  const statusCode = 200;
  const body = { foo: 'bar' };
  const headers = {
    'Access-Control-Allow-Origin': '*',
  };

  // In case of unexpected error
  const err = null;
  if (err) {
    console.error(err, err.stack);
    return callback(err);
  }
  // finally in case of success
  return callback(null, createResponse(body, statusCode, headers));
};

export default <%- handlerName %>;
